new to pacman. Trying to install VIM, getting a 404 when it tries to download.
#1
Quote:[alarm@pinephone ~]$ sudo pacman -S vim
[sudo] password for alarm:
resolving dependencies...
looking for conflicting packages...

Packages (2) vim-runtime-9.0.0000-1  vim-9.0.0000-1

Total Download Size:    8.01 MiB
Total Installed Size:  37.94 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
vim-runtime-9.0.0000-1-aarch64.pkg.tar.xz failed to download
Total (1/2)            8.0 MiB  8.05 MiB/s 00:01 [######################] 100%
error: failed retrieving file 'vim-runtime-9.0.0000-1-aarch64.pkg.tar.xz' from mirror.archlinuxarm.org : The requested URL returned error: 404
warning: failed to retrieve some files
error: failed to commit transaction (failed to retrieve some files)
Errors occurred, no packages were upgraded.

Thoughts?  I'm used to apt, not pacman, but this seems like it might be something else.  Is it missing an "apt update" equivalent?  "apt update" is the first thing I usually have to do on a new install, but I guess it's different with pacman?

Any advice?
  Reply
#2
i think pacman -Syu is apt update and apy upgrade

  your problem looks like internet problem so i would try to change the mirror

  ezik
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  PinePhone AND/OR PinePhone Pro Arch Complete Install and Setup mikehenson 2 1,781 01-14-2024, 08:43 AM
Last Post: shifras
  How to install arch with FDE user641 3 519 01-11-2024, 10:18 PM
Last Post: Kevin Kofler
  unable to install applications dln949 5 1,266 06-08-2023, 08:38 PM
Last Post: Conjada
  Latest update broke my install user641 8 3,313 02-22-2023, 05:54 AM
Last Post: gregb49
  Waydroid on Arch Linux ARM install guide? tk1107 3 5,359 10-08-2022, 07:46 AM
Last Post: PineFone
  Help to execute script to install arch with FDE user641 5 3,313 07-03-2022, 09:25 PM
Last Post: RTP
  How to install dependencies for Gajim? tk1107 13 8,979 03-13-2022, 11:10 PM
Last Post: tk1107
  Can't update or install software P3TER 31 22,437 02-12-2022, 05:07 PM
Last Post: IHaveALinuxPhone
  How to install pamac? tk1107 7 5,415 12-30-2021, 12:13 PM
Last Post: tk1107
  Can't install arch-phosh with dd, only with etcher. pineuser0 5 3,793 11-23-2021, 07:32 PM
Last Post: cabbie001

Forum Jump:


Users browsing this thread: 1 Guest(s)